Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.openbase
Class OpenBaseMergerFactory

    java.lang.Object
      org.apache.cayenne.merge.MergerFactory
          org.apache.cayenne.dba.openbase.OpenBaseMergerFactory

    public class OpenBaseMergerFactory

extends MergerFactory

Constructor Summary
`OpenBaseMergerFactory()`

Method Summary
`MergerToken` | `createCreateTableToDb(DbEntity entity)`
`MergerToken` | `createDropRelationshipToDb(DbEntity entity, DbRelationship rel)`
`MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
`MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
`MergerToken` | `createSetNotNullToDb(DbEntity entity, DbAttribute column)`

Methods inherited from class org.apache.cayenne.merge.MergerFactory
`createAddColumnToDb, createAddColumnToModel, createAddRelationshipToDb, createAddRelationshipToModel, createCreateTableToModel, createDropColumnToDb, createDropColumnToModel, createDropRelationshipToModel, createDropTableToDb, createDropTableToModel, createSetAllowNullToModel, createSetColumnTypeToModel, createSetNotNullToModel, createSetPrimaryKeyToDb, createSetPrimaryKeyToModel, createSetValueForNullToDb`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenBaseMergerFactory

    public OpenBaseMergerFactory()

Method Detail

### createCreateTableToDb

    public MergerToken createCreateTableToDb(DbEntity entity)

  Overrides:
    `createCreateTableToDb` in class `MergerFactory`

### createDropRelationshipToDb

    public MergerToken createDropRelationshipToDb(DbEntity entity,
                                                  DbRelationship rel)

  Overrides:
    `createDropRelationshipToDb` in class `MergerFactory`

### createSetColumnTypeToDb

    public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                               DbAttribute columnOriginal,
                                               DbAttribute columnNew)

  Overrides:
    `createSetColumnTypeToDb` in class `MergerFactory`

### createSetNotNullToDb

    public MergerToken createSetNotNullToDb(DbEntity entity,
                                            DbAttribute column)

  Overrides:
    `createSetNotNullToDb` in class `MergerFactory`

### createSetAllowNullToDb

    public MergerToken createSetAllowNullToDb(DbEntity entity,
                                              DbAttribute column)

  Overrides:
    `createSetAllowNullToDb` in class `MergerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.